# Copyright (c) 2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix /usr
%define _SOnr	5

Summary:		Qt4 binding for FreePascal
Name:			qt4pas-devel
Version:		2.1
Release:		2.2
License:		GPL
Group:			Development/Languages/Other
Source:			http://users.telenet.be/Jan.Van.hijfte/qtforfpc/qt4pas-V%{version}_Qt4.5.3.tar.gz
#Source90:		%{name}-rpmlintrc
URL:			http://users.telenet.be/Jan.Van.hijfte/qtforfpc/fpcqt4.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gcc-c++
BuildRequires:	libqt4-devel
BuildRequires:	libQtWebKit-devel
Requires:		libQt4Pas%{_SOnr} = %{version}
Requires:		libqt4-devel
Requires:		libQtWebKit-devel

%description
Provide a Qt4 binding for FreePascal that may be of use
to provide the Lazarus LCL library with a Qt interface.

This binding does not aim to cover the whole Qt4 framework,
but only just enough to satisfy the LCL needs.

If any LCL/Qt developer needs an extra class, just ask and it
will be added promptly.

Some of the methods that have parameters based upon templates
have been omitted.

NOTE:
Replace lazarus qt4.pas or qt45.pas with provided qt4.pas

%package -n libQt4Pas%{_SOnr}
Summary:	Shared library for qt4pas
Group:		System/Libraries

%description -n libQt4Pas%{_SOnr}
Provide a Qt4 binding for FreePascal that may be of use
to provide the Lazarus LCL library with a Qt interface.

This package contains the shared library for package qt4pas.



%prep
%setup -q -n qt4pas-V%{version}_Qt4.5.3

%build
qmake
%__make %{?jobs:-j%{jobs}}

%install
qmake

%__sed -i -e 's|-strip --strip-unneeded|#-strip --strip-unneeded|g' \
	Makefile

%makeinstall \
	INSTALL_ROOT=%{buildroot}

pushd %{buildroot}%{_libdir}
	# this old linkname is used in several pascal projects (windows-name)
	ln -s libQt4Pas.so libqt4intf.so
popd

%__install -dm 755 %{buildroot}%{_datadir}/qt4pas
%__install -m 644 *.pas \
	%{buildroot}%{_datadir}/qt4pas

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -n libQt4Pas%{_SOnr} -p /sbin/ldconfig

%postun -n libQt4Pas%{_SOnr} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc *.TXT
%{_libdir}/libQt4Pas.so
%{_libdir}/libqt4intf.so
%dir %{_datadir}/qt4pas
%{_datadir}/qt4pas/*.pas

%files -n libQt4Pas%{_SOnr}
%defattr(-,root,root)
%{_libdir}/libQt4Pas.so.*

%changelog
* Fri Feb 19 2010 Toni Graffy <toni@links2linux.de> - 2.1-0.pm.1
- update to 2.1
* Tue Jan 19 2010 Toni Graffy <toni@links2linux.de> - 2.0-0.pm.1
- update to 2.0 final
* Tue Jan 12 2010 Toni Graffy <toni@links2linux.de> - 2.0rc-0.pm.1
- initial build 2.0rc
